
Figure - Bug #118879
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】蓝牙连接状态下，副屏先播放企业微信语音，再播放腾讯视频，腾讯视频无声
2023-06-21 17:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-21

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0620-DB

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 0115

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 修复蓝牙连接后的状态问题

Description

【测试版本】

副屏0620

中控0092

【测试步骤】

1、蓝牙连接状态下，副屏先播放企业微信语音

2、播放腾讯视频

->腾讯视频无声

History

#1 - 2023-06-26 16:29 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

当前现象有两个问题：

1. 当前定制服务中的蓝牙状态不对，依然属于蓝牙断开状态；

2. 当前企业微信的语音消息在连接蓝牙的情况下是通过voice call的类型申请焦点的，释放焦点是通过mode变化触发释放，

在未连接蓝牙的情况下，不会触发mode变化，当前就未触发焦点释放，导致了焦点处于voice call的状态；

总结：

该问题是蓝牙状态问题，导致了蓝牙处于断开状态，也就后续的焦点会和中控申请，

申请焦点后，又因为蓝牙输出情况下，企业微信不会触发mode变化，也就未触发焦点释放，导致了焦点一致处于voice call的状态，

导致了后面腾讯视频申请焦点失败被mute。

下一步：

修复蓝牙状态问题。

#2 - 2023-06-26 16:31 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL
该问题实际原因和118843一致。

#3 - 2023-06-27 15:17 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 修复蓝牙连接后的状态问题

Hi 永红

该问题已经修复，请使用6月27日后的版本进行验证，谢谢！

#4 - 2023-06-28 15:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0115

6.28

验证通过

#5 - 2023-06-28 15:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1643.txt 9.72 MB 2023-06-21 CD TEST-方永红
